Last modified: 2013-09-10 22:53:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29323 - articlefeedback-pitch-thanks should be in singular form if the user submits only one rating
articlefeedback-pitch-thanks should be in singular form if the user submits o...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ArticleFeedback (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: MW 1.22 version
Assigned To: Nemo
: i18n
Depends on:
Blocks: messages plural
  Show dependency treegraph
 
Reported: 2011-06-09 03:34 UTC by Helder
Modified: 2013-09-10 22:53 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Helder 2011-06-09 03:34:19 UTC
After a user rate an article according to only one (e.g. "Complete") of the four aspects (Trustworthy, Objective, Complete and Well-written) it is displayed the message:

  "Thanks! Your ratings have been saved."

In this case, the message should not be in plural, since the user didn't touch in the ratings of the other aspects.
Comment 1 Krinkle 2011-06-09 14:39:46 UTC
Depends on having a ("not-too-heavy") javascript parser for wikitext in-core that is capable of plural. (unless we'd export multiple messages, but having {{PLURAL:$1|rating|ratings}} where $1 is the number of ratings submitted is better.

Setting priority to low.
Comment 2 Roan Kattouw 2011-06-09 14:50:07 UTC
(In reply to comment #1)
> Depends on having a ("not-too-heavy") javascript parser for wikitext in-core
> that is capable of plural. (unless we'd export multiple messages, but having
> {{PLURAL:$1|rating|ratings}} where $1 is the number of ratings submitted is
> better.
> 
AFAIK Neil already has one of these and we just haven't integrated it yet.
Comment 3 Nemo 2012-07-25 09:34:34 UTC
(In reply to comment #2)
> AFAIK Neil already has one of these and we just haven't integrated it yet.

Don't we now have it?
Comment 4 Gerrit Notification Bot 2013-08-10 18:55:31 UTC
Change 78544 had a related patch set uploaded by Nemo bis:
articlefeedback-pitch-thanks should be in singular form if the user submits only one rating

https://gerrit.wikimedia.org/r/78544
Comment 5 Gerrit Notification Bot 2013-09-10 22:51:55 UTC
Change 78544 merged by Siebrand:
articlefeedback-pitch-thanks should be in singular form if the user submits only one rating

https://gerrit.wikimedia.org/r/78544

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links